> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Leads

> Deletes one or more leads associated with a specific outbound campaign.



## OpenAPI

````yaml delete /v2/Outbound/{pearlId}/Leads
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v2
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v2/Outbound/{pearlId}/Leads:
    delete:
      tags:
        - Outbound
      summary: Delete Leads
      description: Deletes one or more leads associated with a specific outbound campaign.
      parameters:
        - name: pearlId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/DeleteLeadsRequestApi'
              description: >-
                Represents the request object for deleting one or more leads
                associated with an outbound campaign.
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/DeleteLeadsRequestApi'
              description: >-
                Represents the request object for deleting one or more leads
                associated with an outbound campaign.
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/DeleteLeadsRequestApi'
              description: >-
                Represents the request object for deleting one or more leads
                associated with an outbound campaign.
      responses:
        '200':
          description: Returns a boolean indicating if the deletion was successful.
          content:
            text/plain:
              schema:
                type: boolean
            application/json:
              schema:
                type: boolean
            text/json:
              schema:
                type: boolean
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    DeleteLeadsRequestApi:
      type: object
      properties:
        leadIds:
          type: array
          items:
            type: string
          description: A list of lead IDs to be deleted.
          nullable: true
      additionalProperties: false
      description: >-
        Represents the request object for deleting one or more leads associated
        with an outbound campaign.
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````